aboutsummaryrefslogtreecommitdiffstats
path: root/community/retroarch/APKBUILD
blob: 64e3d306e278ee64fc3355c196d81f86ad77dda0 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: David Demelier <markand@malikania.fr>
pkgname=retroarch
# If you plan to upgrade RetroArch, you also need to upgrade the following
# packages at the same time:
# - libretro-database
# - libretro-core-info
# - retroarch-assets
# - retroarch-joypad-autoconfig
pkgver=1.9.4
pkgrel=0
arch="all !mips !mips64"
url="https://retroarch.com"
pkgdesc="Reference frontend for the libretro API"
license="GPL-2.0-only"
depends="retroarch-assets retroarch-joypad-autoconfig libretro-core-info libretro-database"
makedepends="linux-headers mesa-dev qt5-qtbase-dev wayland-dev wayland-protocols
	zlib-dev alsa-lib-dev pulseaudio-dev sdl2-dev flac-dev mbedtls-dev libusb-dev
	ffmpeg-dev libxkbcommon-dev eudev-dev vulkan-loader-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/libretro/retroarch/archive/v$pkgver.tar.gz
	config.patch
	"
subpackages="$pkgname-doc"
builddir="$srcdir/RetroArch-$pkgver"
options="!check" # No tests

build() {
	CFLAGS="$CFLAGS -I/usr/include/directfb"
	./configure \
		--prefix=/usr \
		--enable-dynamic \
		--disable-vg \
		--disable-discord \
		--enable-kms \
		--enable-egl \
		--disable-videocore \
		--disable-builtinminiupnpc \
		--disable-builtinmbedtls \
		--disable-builtinflac \
		--disable-builtinzlib
	make
}

package() {
	DESTDIR="$pkgdir" make install
}

sha512sums="441b22298236820a09ab139b9d7ae2fe0862f1bf1eb7fa9ed13b7b4003e3c38120bb2a2672df04e164ab3fa43c77c4d6b8bd1c4e60e83d6ee4ce7cb1d7c46022  retroarch-1.9.4.tar.gz
0b3a8e1fe318d783a5a34606da187d086f8ad9b543cc496c9c6d527dca40d0078a66a6ccb11b1aaf3519a37ac93c8790af0d916c628ae9286066c0a84308fa15  config.patch"